<apex:page controller="cms.CreateContentController" extensions="DSP_CMS_LinkController" showHeader="false" sidebar="false" cache="false" standardStylesheets="false">
    <apex:outputPanel layout="block">
        <script type="text/javascript" language="javascript">
            $(document).ready(function(){
                
                ce.content_editor('registerSaveFunction',function(){
                    var attributes = new Array();
                    
                    if($('#name').val() == null || $('#name').val() == '')
                    {
                        alert('Name is required.');
                        return null;
                    }
                    
                    attributes.push({"name":"linkDate","value":$('#linkDate').val(),"type":"Text", "lang":""});
                    attributes.push({"name":"name","value":$('#name').val(),"type":"Text", "lang":""});
                    attributes.push({"name":"website","value":$('#website').val(),"type":"Text", "lang":""});
                    
                    return attributes;
                });
            });
            
              $(function() {
                $( "#linkDate" ).datepicker();
              });
        </script>
        <h1>Edit Link</h1>
        <table>
            <tr>
                <td>Link: </td>
                <td>
                <input type="hidden" name="website" id="website" value="{!website}" />
                <cms:PageSelector sname="{!content.cms__Site_Name__c}" cPassThroughId="website" DialogId="websiteDlg" value="{!website}" disabled="{!disableAll}" />
                </td>
            </tr>
            <tr>
                <td>Name:<br/>(this will be the text users click on)</td>
                <td>
                <input type="text" name="name" id="name" value="{!name}" />
                </td>
            </tr>
            <tr>
                <td>Date:</td>
                <td>
                <input type="text" name="linkDate" id="linkDate" value="{!linkDate}" />
                </td>
            </tr>
        </table>
    </apex:outputPanel>
</apex:page>